The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Import GTI Private Cloud Certificate to the Manager

Prev Next

This URL imports the GTI private cloud certificate file to the Manager.

Resource URL

PUT /gticonfiguration/private/importcert

Request Parameters

URL Parameters: None

Payload Request Parameters:

Field Name Description Data Type Mandatory
MultiPart Holds the objects of the body part Object Yes

Details of BodyPart[0]:

Field Name Description Data Type Mandatory
BodyPart[0] Holds the file format object Application/json object Yes

Details of FileFormat:

Field Name Description Data Type Mandatory
fileName Name of the file String Yes

Details of BodyPart[1]:

Field Name Description Data Type Mandatory
BodyPart[1] Holds the license file as an input stream Application/octet-stream Yes

Details of certificate file:

Field Name Description Data Type Mandatory
File The certificate file data ByteArrayInputStream Yes

Response Parameters

Following fields are returned:

Field Name Description Data Type
status Set to 1 if the update is successful Number

Example

Request

PUT https://<NSM_IP>/sdkapi/gticonfiguration/private/importcert

Payload

--Boundary_1_17241377_1362484380857 
Content-Type: application/json 

{"fileName":"certificate.zip"} 
--Boundary_1_17241377_1362484380857 
Content-Type: application/octet-stream 
File data
--Boundary_1_17241377_1362484380857-- 

Response

{
	‘status’ : 1
} 
 

Error Information

Following error codes are returned by this URL:

No HTTP Error Code SDK API errorId SDK API errorMessage
1 500 1001 Internal error
2 400 5301 Invalid file type given for import: The file name does not have any extension
3 400 5301 Invalid file type given for import expected is .zip while <filetype> was provided